package cn.com.countrygarden.bi.main.service.phoenix;

import cn.com.countrygarden.bi.main.model.phoenix.PhoenixSalesCustomer;

import java.util.List;

public interface PhoenixSalesCustomerService {

    List<PhoenixSalesCustomer> sync(String areaId, long timestamp);

    List<PhoenixSalesCustomer> persistence(String areaId);

    void persistenceBatch(int projectPage, int projectPageSize);

    List<PhoenixSalesCustomer> syncByBuild(String buildIds);

    List<PhoenixSalesCustomer> persistenceByBuild(String areaId, int page, int pageSize);

    void persistenceBatchByBuild(int pageSize, int projectPage, int projectPageSize);
}
